NeuralEngine A Game Engine with embeded Machine Learning algorithms based on Gaussian Processes. |

Public Member Functions | Private Attributes | List of all members
NeuralEngine::Environment Class Reference
Collaboration diagram for NeuralEngine::Environment:
[legend]

## Public Member Functions
| Environment ()
| Default constructor. More...
| ~Environment ()
| Destructor. More...
std::string | GetVariable (std::string const &name)
| Get the string corresponding to an environment variable. More...
int | GetNumDirectories () const
| Gets number directories. More...
std::string | Get (int i) const
bool | Insert (std::string const &directory)
bool | Remove (std::string const &directory)
void | RemoveAll ()
std::string | GetPath (std::string const &name) const
| Gets a path. More...

## Private Attributes
std::vector< std::string > | mDirectories

## Detailed Description

Definition at line 21 of file NeEnvironment.h.

## Constructor & Destructor Documentation

## ◆ Environment()

NeuralEngine::Environment::Environment | ( |  | ) |

Default constructor.

Hmetal T, 08.08.2016.

## ◆ ~Environment()

NeuralEngine::Environment::~Environment | ( |  | ) |

Destructor.

Hmetal T, 08.08.2016.

## Member Function Documentation

## ◆ GetVariable()

std::string NeuralEngine::Environment::GetVariable | ( | std::string const & | name | ) |

Get the string corresponding to an environment variable.

Hmetal T, 08.08.2016.

Parameters

  name | The name.

Returns
  The variable.

## ◆ GetNumDirectories()

int NeuralEngine::Environment::GetNumDirectories | ( |  | ) | const

Gets number directories.

<note> Support for paths to locate files. For platform independence, use "/" for the path separator. The input 'directory' will automatically be appended with a trailing "/" if it does not end in '/' or '\'. The Insert*‍/Remove* functions return 'true' iff the operation was successful. </note>

Hmetal T, 08.08.2016.

Returns
  The number directories.

## ◆ GetPath()

std::string NeuralEngine::Environment::GetPath | ( | std::string const & | name | ) | const

Gets a path.

<note> The GetPath function searches the list of directories and returns the fully decorated file name if the file exists and can be opened for reading. </note>

Hmetal T, 08.08.2016.

Parameters

  name | The name.

Returns
  The path.

## Member Data Documentation

## ◆ mDirectories

std::vector<std::string> NeuralEngine::Environment::mDirectories
| private

Definition at line 90 of file NeEnvironment.h.

The documentation for this class was generated from the following file:

- NeEnvironment.h